# When bumping the Go version, don't forget to update the configuration of the
# CI jobs in openshift/release.
FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202107301646.p0.git.16caab3.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202107301646.p0.git.16caab3.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=16caab3 OS_GIT_VERSION=4.8.0-202107301646.p0.git.16caab3.assembly.stream-16caab3 SOURCE_DATE_EPOCH=1627660093 SOURCE_GIT_COMMIT=16caab3f8109f201f82f6be19e239b3b91755e5c SOURCE_GIT_TAG=v0.1.0-2087-g16caab3f SOURCE_GIT_URL=https://github.com/openshift/cluster-monitoring-operator 
WORKDIR /go/src/github.com/openshift/cluster-monitoring-operator
COPY . .
ENV GOFLAGS="-mod=vendor"
RUN make operator-no-deps

FROM openshift/ose-base:v4.8.0-202107231447.p0.git.ad38e11.assembly.stream
ENV __doozer=update BUILD_RELEASE=202107301646.p0.git.16caab3.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202107301646.p0.git.16caab3.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=16caab3 OS_GIT_VERSION=4.8.0-202107301646.p0.git.16caab3.assembly.stream-16caab3 SOURCE_DATE_EPOCH=1627660093 SOURCE_GIT_COMMIT=16caab3f8109f201f82f6be19e239b3b91755e5c SOURCE_GIT_TAG=v0.1.0-2087-g16caab3f SOURCE_GIT_URL=https://github.com/openshift/cluster-monitoring-operator 

COPY --from=builder /go/src/github.com/openshift/cluster-monitoring-operator/operator /usr/bin/
COPY manifests /manifests
COPY assets /assets
USER 1001
ENTRYPOINT ["/usr/bin/operator"]

LABEL \
        io.k8s.display-name="OpenShift cluster-monitoring-operator" \
        io.k8s.description="This is a component of OpenShift Container Platform and manages the lifecycle of the Prometheus based cluster monitoring stack." \
        io.openshift.tags="openshift" \
        io.openshift.release.operator="true" \
        summary="This is a component of OpenShift and manages the lifecycle of the Prometheus based cluster monitoring stack." \
        maintainer="OpenShift Monitoring Team <team-monitoring@redhat.com>" \
        License="ASL 2.0" \
        vendor="Red Hat" \
        name="openshift/ose-cluster-monitoring-operator" \
        com.redhat.component="cluster-monitoring-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Monitoring" \
        release="202107301646.p0.git.16caab3.assembly.stream" \
        io.openshift.build.commit.id="16caab3f8109f201f82f6be19e239b3b91755e5c" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-monitoring-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-monitoring-operator/commit/16caab3f8109f201f82f6be19e239b3b91755e5c" \
        version="v4.8.0"

